#
# spec file for package gstreamer010-plugins-good (Version 0.10.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel SDL aaa_base aalib aalib-devel acl alsa alsa-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdparanoia check coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat fftw3 file filesystem fillup findutils flac flac-devel flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-vfs2 gpm grep groff gstreamer010 gstreamer010-devel gstreamer010-plugins-base gstreamer010-plugins-base-devel gtk2 gtkdoc gzip info insserv iso_ent klogd ladspa less libacl libattr libavc1394 libavc1394-devel libbonobo libcaca libcaca-devel libcddb libcdio libcdio-devel libcom_err libdrm libdv libdv-devel libgcc libgcrypt libgpg-error libjpeg libjpeg-devel libnscd libogg libogg-devel liboil liboil-devel libpng libpng-devel libraw1394 libraw1394-devel libshout libshout-devel libstdc++ libstdc++-devel libtheora libtheora-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl orbit2 orbit2-devel pam pam-modules pango patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-xml pyxml rcs readline resmgr rpm sed sgml-skel slang slang-devel speex speex-devel strace sysvinit taglib taglib-devel tar tcpd texinfo timezone unzip util-linux valgrind vcdimager vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gstreamer010-plugins-good
#!BuildIgnore: gstreamer
BuildRequires:  aalib-devel cairo-devel esound-devel flac-devel gcc-c++ gconf2-devel gstreamer010-plugins-base-devel gtkdoc ladspa libavc1394-devel libcaca libcaca-devel libcdio-devel libdv-devel libjpeg-devel liboil-devel libshout-devel libtheora-devel libvorbis-devel pyxml sgml-skel speex-devel taglib-devel
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
%define _name gst-plugins-good
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        0.10.2
Release:        16.4
%define gst_branch 0.10
Source:         %{_name}-%{version}.tar.bz2
URL:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Obsoletes:      gstreamer-plugin-libs
%if %suse_version > 1000
Enhances:     gstreamer010
%endif
PreReq:         filesystem
Requires:       gstreamer010 = %(rpm -q --queryformat '%{VERSION}' gstreamer010)
Patch1:         gst-plugins-good-0.10.2-taglib-backport.patch

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%debug_package
%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Autoreqprov:    on

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package extra
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Autoreqprov:    on

%description extra
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%define _prefix  /opt/gnome
%define _bindir  %_prefix/bin
%define _mandir  %_prefix/share/man
%define _infodir %_prefix/share/info
%define _sysconfdir /etc%_prefix
%define _localstatedir /var%_prefix
%define _libdir  %_prefix/%_lib
%define _includedir %_prefix/include
%prep
%setup -n %{_name}-%{version}
%patch1 -p1

%build
%{?suse_update_config:%{suse_update_config}}
NOCONFIGURE=1 ./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --sysconfdir=%{_sysconfdir} \
    --localstatedir=%{_localstatedir} \
    --enable-gtk-doc \
    --enable-dependency-tracking \
    --enable-tests
make %{?jobs:-j %jobs}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL  
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_branch}/*.*a
%find_lang %{_name}-%{gst_branch}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gstreamer-%{gst_branch}.schemas >/dev/null

%files -f %{_name}-%{gst_branch}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README RELEASE REQUIREMENTS
%{_sysconfdir}/gconf/schemas/gstreamer-%{gst_branch}.schemas
%{_libdir}/gstreamer-%{gst_branch}/libgstaasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalpha.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalphacolor.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapetag.so
%{_libdir}/gstreamer-%{gst_branch}/libgstauparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautodetect.so
%{_libdir}/gstreamer-%{gst_branch}/libgstavi.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcacasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcairo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcutter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstefence.so
%{_libdir}/gstreamer-%{gst_branch}/libgsteffectv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstesd.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgconfelements.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3demux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpeg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlevel.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmatroska.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmulaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultipart.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{gst_branch}/libgstossaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpng.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtsp.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttaglib.so
%{_libdir}/gstreamer-%{gst_branch}/libgstudp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoflip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomixer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavparse.so

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-good-plugins-%{gst_branch}

%files extra
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgst1394.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshout2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmpte.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideobox.so

%changelog -n gstreamer010-plugins-good
* Wed May 31 2006 - hpj@suse.de
- Added backported ID3v2 muxer element, required for Banshee
  tagging. Fixes part of Novell bug #132801.
* Mon Apr 10 2006 - jpr@suse.de
- Move some more plugins to and extras package
* Fri Apr 07 2006 - jpr@suse.de
- Split out oil dependant plugins
* Thu Feb 23 2006 - jpr@suse.de
- update to 0.10.2
- Changes since 0.10.1:
  * New libcdio based CDDA reading element
  * APE tag reader ported
  * ID3 tag reading fixes
  * Sun Audio Sink fixes
  * GOOM and gconf element fixes
  * lots of bug and leak fixes
  Bugs fixed since 0.10.1:
  * 328336 : silence warings which make dvdec / dvdemux unusable
  * 315557 : Internal event problem with MP3s from vgmix.com
  * 323327 : [cdio] port cddasrc to 0.10
  * 325148 : Bugs in G711 RTP packetization logic
  * 325649 : apetag plugin needs porting to 0.10
  * 326446 : check that all elements in -good pass queries they can't ...
  * 326602 : id3demux is not compiling without ZLIB
  * 326683 : build problem caused by AS_LIBTOOL_TAGS([CXX])
  * 326736 : gconf(audio|video)sink response to key changes
  * 326864 : [wavparse] time to bytes format conversion broken
  * 327009 : [esdsink] won't compile with includes in non-standard prefix
  * 327765 : [sunaudio] fixes for mixer and stuttering mp3 playback
  * 327825 : [matroskamux]  Matroska muxer deadlock
  * 327871 : [videobox] crash when cropping
  * 328241 : id3demux emits NULL date for year tags
  * 328264 : Fix build with gcc 2.95
  * 328531 : [matroskamux] doesn't send newsegment event, critical war...
  * 329181 : totem crash when using goom effect
  * 329810 : Fails to read ID3 tag
  * 330005 : Please use the autodetect sinks by default
  * 317658 : [cdio] support for cd-text and cd-g
* Tue Feb 14 2006 - sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - ro@suse.de
- avoid gstreamer installation (-gstreamer in nfb)
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 0.10.1.
* Fri Jan 06 2006 - sbrabec@suse.cz
- Removed obsolete configure option.
* Wed Jan 04 2006 - sbrabec@suse.cz
- New SuSE package, version 0.10.0.
- Worked around -export-symbols-regex libtool problems.
